# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInitGetNextInvalidElementIndex, DXInitGetNextValidElementIndex

Function

Prepares an invalid-component handle for iteration through the invalid or valid elements.

Syntax
`
#include <dx/dx.h>
`

Error DXInitGetNextInvalidElementIndex(InvalidComponentHandle handle)
Error DXInitGetNextValidElementIndex(InvalidComponentHandle handle)

Functional Details

Prepares the invalid-component handle `handle` for iteration through the contents.

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXCreateInvalidComponentHandle, DXFreeInvalidComponentHandle`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]